Bug 1278691 - Please fix rfc2307 autofs schema defaults
Summary: Please fix rfc2307 autofs schema defaults
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.2
Hardware: All
OS: All
medium
medium
Target Milestone: rc
: 7.2
Assignee: SSSD Maintainers
QA Contact: Steeve Goveas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-06 07:48 UTC by Ondrej
Modified: 2020-05-02 18:13 UTC (History)
10 users (show)

Fixed In Version: sssd-1.14.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 07:12:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FedoraHosted SSSD 2858 None None None Never
Github SSSD sssd issues 3899 None None None 2020-05-02 18:13:28 UTC
Red Hat Product Errata RHEA-2016:2476 normal SHIPPED_LIVE sssd bug fix and enhancement update 2016-11-03 14:08:11 UTC

Description Ondrej 2015-11-06 07:48:08 UTC
Description of problem:


In my test case I use: autofs_provider = ldap ldap_schema = rfc2307

But from the logs I see that SSSD is expecting automounter maps in RFC2307bis format instead: ...

(Tue Nov  3 14:22:28 2015) [sssd[be[default]]] [sdap_get_map] (0x0400): Option ldap_autofs_map_object_class has value automountMap
(Tue Nov  3 14:22:28 2015) [sssd[be[default]]] [sdap_get_map] (0x0400): Option ldap_autofs_map_name has value ou
(Tue Nov  3 14:22:28 2015) [sssd[be[default]]] [sdap_get_map] (0x0400): Option ldap_autofs_entry_object_class has value automount
(Tue Nov  3 14:22:28 2015) [sssd[be[default]]] [sdap_get_map] (0x0400): Option ldap_autofs_entry_key has value cn
(Tue Nov  3 14:22:28 2015) [sssd[be[default]]] [sdap_get_map] (0x0400): Option ldap_autofs_entry_value has value automountInformation

As according to RFC2307, automounter maps are stored as general NIS maps, i.e. :

    ldap_autofs_entry_key = cn
    ldap_autofs_entry_object_class = nisObject
    ldap_autofs_entry_value = nisMapEntry
    ldap_autofs_map_name = nisMapName
    ldap_autofs_map_object_class = nisMap

Comment 3 Jakub Hrozek 2015-11-11 16:37:12 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2858

Comment 4 Jakub Hrozek 2015-11-11 16:40:41 UTC
Option changes must happen in RHEL-7 first.

Comment 6 Jakub Hrozek 2016-01-11 15:56:07 UTC
There is already a work-in-progress code, we just need to figure out the sysdb upgrade (depends on the sysdb refactoring), so in general I think this would make 7.3

Comment 7 Jakub Hrozek 2016-07-06 15:09:15 UTC
* master: 999d6066c7a96f102b692d31435d76114478e874

Comment 9 shridhar 2016-09-19 11:02:40 UTC
Verified with

 ~]# rpm -qa|egrep  sssd
sssd-krb5-common-1.14.0-38.el7.x86_64
sssd-ldap-1.14.0-38.el7.x86_64
sssd-ipa-1.14.0-38.el7.x86_64
sssd-dbus-1.14.0-38.el7.x86_64
sssd-common-1.14.0-38.el7.x86_64
sssd-common-pac-1.14.0-38.el7.x86_64
sssd-krb5-1.14.0-38.el7.x86_64
sssd-proxy-1.14.0-38.el7.x86_64
sssd-1.14.0-38.el7.x86_64
sssd-tools-1.14.0-38.el7.x86_64
sssd-client-1.14.0-38.el7.x86_64
sssd-ad-1.14.0-38.el7.x86_64
python-sssdconfig-1.14.0-38.el7.noarch
sssd-libwbclient-1.14.0-38.el7.x86_64


from sssd.conf
[domain/default]
autofs_provider = ldap
ldap_schema = rfc2307
cache_credentials = True

id_provider = ldap
auth_provider = ldap
chpass_provider = ldap
ldap_search_base = dc=example,dc=com


from sssd_default.log
<snip>
/var/log/sssd/sssd_default.log:(Mon Sep 19 06:37:05 2016) [sssd[be[default]]] [ldap_get_autofs_options] (0x0200): Option ldap_autofs_search_base set to dc=example,dc=com
/var/log/sssd/sssd_default.log:(Mon Sep 19 06:37:05 2016) [sssd[be[default]]] [sdap_get_map] (0x0400): Option ldap_autofs_map_object_class has value nisMap
/var/log/sssd/sssd_default.log:(Mon Sep 19 06:37:05 2016) [sssd[be[default]]] [sdap_get_map] (0x0400): Option ldap_autofs_map_name has value nisMapName
/var/log/sssd/sssd_default.log:(Mon Sep 19 06:37:05 2016) [sssd[be[default]]] [sdap_get_map] (0x0400): Option ldap_autofs_entry_object_class has value nisObject
/var/log/sssd/sssd_default.log:(Mon Sep 19 06:37:05 2016) [sssd[be[default]]] [sdap_get_map] (0x0400): Option ldap_autofs_entry_key has value cn
/var/log/sssd/sssd_default.log:(Mon Sep 19 06:37:05 2016) [sssd[be[default]]] [sdap_get_map] (0x0400): Option ldap_autofs_entry_value has value nisMapEntry
</snip>

Comment 11 errata-xmlrpc 2016-11-04 07:12:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2476.html


Note You need to log in before you can comment on or make changes to this bug.